docusign.users.put-user ​
To update user information for a specific user, submit a Users object with updated field values in the request body of this operation.
Updates user information for the specified user.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
userid | string | Yes | — | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. |
allow_all_languages | string | No | — | — |
activationaccesscode | string | No | — | Access code provided to the user to activate the account. |
company | string | No | — | The name of the user's company. |
connectconfigurations | list | No | — | Object representing the user's custom Connect configuration. |
countrycode | string | No | — | The two-letter code for the user's country. |
createddatetime | string | No | — | The UTC DateTime when the item was created. |
customsettings | list | No | — | The name/value pair information for the user custom setting. |
defaultaccountid | string | No | — | The default account ID associated with the user. |
email | string | No | — | The user's email address. This property cannot be updated via PUT requests. |
enableconnectforuser | string | No | — | Boolean value that specifies whether the user is enabled for updates from Docusign Connect. |
errordetails | json | No | — | This object describes errors that occur. It is only valid for responses and ignored in requests. |
firstname | string | No | — | The user's first name. Maximum Length: 50 characters. |
forgottenpasswordinfo | json | No | — | A complex element that has up to four Question/Answer pairs for forgotten password information. |
grouplist | list | No | — | A list of the group information for groups to add the user to. Use UserGroups: listGroups to get information about groups. When setting a user's group, only the groupId is required. |
hasremotenotary | boolean | No | — | — |
homeaddress | json | No | — | Contains address information. |
initialsimageuri | string | No | — | The URI for retrieving the image of the user's initials. |
isadmin | string | No | — | When true, the user is an administrator. |
isalternateadmin | string | No | — | When true, the user is an alternate administrator. This user is not an administrator but will be set as such if all administrator memberships are closed. |
ismanagedbyscim | string | No | — | — |
ismembershipmanagedbyscim | string | No | — | — |
isnarenabled | string | No | — | When true, National Association of Realtors (NAR) signature logos are enabled for the user. |
jobtitle | string | No | — | The user's job title. |
lastlogin | string | No | — | This property has been deprecated. |
lastname | string | No | — | The user's last name. Maximum Length: 50 characters. |
licensestatus | string | No | — | — |
licensetype | string | No | — | — |
loginstatus | string | No | — | Boolean value that indicates whether the user is currently logged in or not. |
middlename | string | No | — | The user's middle name. Limit: 50 characters. |
password | string | No | — | The user's password. This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings. This property is not returned by GET requests and cannot be updated via PUT requests. |
passwordexpiration | string | No | — | If password expiration is enabled, the date-time when the user's password expires. |
permissionprofileid | string | No | — | The ID of the permission profile. Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page. |
permissionprofilename | string | No | — | The name of the account permission profile. Example: Account Administrator |
profileimageuri | string | No | — | The URL for retrieving the user's profile image. |
sendactivationemail | string | No | — | This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following these steps. |
sendactivationoninvalidlogin | string | No | — | When true, specifies that an additional activation email be sent if user's log on fails before the account is activated. |
signatureimageuri | string | No | — | An endpoint URI that you can use to retrieve the user's signature image. |
subscribe | string | No | — | — |
suffixname | string | No | — | The suffix for the user's name, such as Jr, IV, PhD, etc. Limit: 50 characters. |
title | string | No | — | The title of the user. |
uri | string | No | — | A URI containing the user ID. |
useraddedtoaccountdatetime | string | No | — | The date and time that the user was added to the account. |
userid_2 | string | No | — | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. |
username | string | No | — | The name of the user. |
userprofilelastmodifieddate | string | No | — | The date and time that the user's profile was last modified. |
usersettings | json | No | — | Properties that configure the settings for a user. Some elements of this object have a metadata property, which includes the following: - rights: The calling users permissions to edit this setting (can be editable or read_only) - uiHint: Internally used to build UIs (can be available or hidden) - options: The values supported for this setting (not all settings have this element) |
userstatus | string | No | — | Status of the user's account. One of: - ActivationRequired - ActivationSent - Active - Closed - Disabled |
usertype | string | No | — | The type of user, for example CompanyUser. |
workaddress | json | No | — | Contains address information. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
userid | string | Yes | — | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. |
allow_all_languages | string | No | — | — |
activationaccesscode | string | No | — | Access code provided to the user to activate the account. |
company | string | No | — | The name of the user's company. |
connectconfigurations | list | No | — | Object representing the user's custom Connect configuration. |
countrycode | string | No | — | The two-letter code for the user's country. |
createddatetime | string | No | — | The UTC DateTime when the item was created. |
customsettings | list | No | — | The name/value pair information for the user custom setting. |
defaultaccountid | string | No | — | The default account ID associated with the user. |
email | string | No | — | The user's email address. This property cannot be updated via PUT requests. |
enableconnectforuser | string | No | — | Boolean value that specifies whether the user is enabled for updates from Docusign Connect. |
errordetails | json | No | — | This object describes errors that occur. It is only valid for responses and ignored in requests. |
firstname | string | No | — | The user's first name. Maximum Length: 50 characters. |
forgottenpasswordinfo | json | No | — | A complex element that has up to four Question/Answer pairs for forgotten password information. |
grouplist | list | No | — | A list of the group information for groups to add the user to. Use UserGroups: listGroups to get information about groups. When setting a user's group, only the groupId is required. |
hasremotenotary | boolean | No | — | — |
homeaddress | json | No | — | Contains address information. |
initialsimageuri | string | No | — | The URI for retrieving the image of the user's initials. |
isadmin | string | No | — | When true, the user is an administrator. |
isalternateadmin | string | No | — | When true, the user is an alternate administrator. This user is not an administrator but will be set as such if all administrator memberships are closed. |
ismanagedbyscim | string | No | — | — |
ismembershipmanagedbyscim | string | No | — | — |
isnarenabled | string | No | — | When true, National Association of Realtors (NAR) signature logos are enabled for the user. |
jobtitle | string | No | — | The user's job title. |
lastlogin | string | No | — | This property has been deprecated. |
lastname | string | No | — | The user's last name. Maximum Length: 50 characters. |
licensestatus | string | No | — | — |
licensetype | string | No | — | — |
loginstatus | string | No | — | Boolean value that indicates whether the user is currently logged in or not. |
middlename | string | No | — | The user's middle name. Limit: 50 characters. |
password | string | No | — | The user's password. This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings. This property is not returned by GET requests and cannot be updated via PUT requests. |
passwordexpiration | string | No | — | If password expiration is enabled, the date-time when the user's password expires. |
permissionprofileid | string | No | — | The ID of the permission profile. Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page. |
permissionprofilename | string | No | — | The name of the account permission profile. Example: Account Administrator |
profileimageuri | string | No | — | The URL for retrieving the user's profile image. |
sendactivationemail | string | No | — | This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following these steps. |
sendactivationoninvalidlogin | string | No | — | When true, specifies that an additional activation email be sent if user's log on fails before the account is activated. |
signatureimageuri | string | No | — | An endpoint URI that you can use to retrieve the user's signature image. |
subscribe | string | No | — | — |
suffixname | string | No | — | The suffix for the user's name, such as Jr, IV, PhD, etc. Limit: 50 characters. |
title | string | No | — | The title of the user. |
uri | string | No | — | A URI containing the user ID. |
useraddedtoaccountdatetime | string | No | — | The date and time that the user was added to the account. |
userid_2 | string | No | — | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. |
username | string | No | — | The name of the user. |
userprofilelastmodifieddate | string | No | — | The date and time that the user's profile was last modified. |
usersettings | json | No | — | Properties that configure the settings for a user. Some elements of this object have a metadata property, which includes the following: - rights: The calling users permissions to edit this setting (can be editable or read_only) - uiHint: Internally used to build UIs (can be available or hidden) - options: The values supported for this setting (not all settings have this element) |
userstatus | string | No | — | Status of the user's account. One of: - ActivationRequired - ActivationSent - Active - Closed - Disabled |
usertype | string | No | — | The type of user, for example CompanyUser. |
workaddress | json | No | — | Contains address information. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call PUT /v2.1/accounts/{accountId}/users/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform PUT /v2.1/accounts/{accountId}/users/ |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.users.put-user",
"initial_data": {
"base_url": "value",
"accountid": "value",
"userid": "value"
}
}